# 	$Id: initscripts.spec 249909 2008-11-26 16:39:05Z blino $	

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

%define with_upstart 0%{nil} 

%define subrel 7

Summary: The inittab file and the /etc/init.d scripts
Name: initscripts
Version: 8.81
Release: %mkrel 10
# ppp-watch is GPLv2+, everything else is GPLv2
License: GPLv2 and GPLv2+
Group: System/Base
Source0: initscripts-%{version}.tar.bz2
Patch0:	initscripts-mdkconf.patch
Patch1:	initscripts-8.81-portreserve_before_network-up.patch
Patch2: network-up.patch
Patch3: initscripts-key_disclosure.patch
# fix previous network-up patch to properly detect inet addresses
Patch4:	initscripts-network-up.patch
# try to wake-up stopped process at shutdown (from Debian) (Mdv bug #57781)
Patch5: initscripts-wakeup-process.patch
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mingetty, /bin/awk, /bin/sed, mktemp, e2fsprogs >= 1.18-2mdk
Requires: procps >= 2.0.7-8mdk
Requires: gettext-base >= 0.10.35-20mdk
Requires: module-init-tools
#Requires: sysklogd >= 1.3.31
Requires: /sbin/fuser, which, setup >= 2.2.0-14mdk
%if %{with_upstart}
Requires: upstart
Obsoletes: event-compat-sysv
%else
Requires: SysVinit >= 2.85-38
%endif
Requires: /sbin/ip, /sbin/arping, net-tools, /bin/find
# (blino) for pidof -c
Requires: SysVinit >= 2.86-4mdk
Requires: perl-MDK-Common >= 1.0.1
Requires: ifplugd >= 0.24
Requires: sound-scripts
# (tv) unused:
#Prereq: gawk
Requires: iproute2
Requires: ethtool
# http://bugzilla.redhat.com/show_bug.cgi?id=252973
Conflicts: nut < 2.2.0
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Conflicts: kernel <= 2.2, timeconfig < 3.0, pppd <= 2.4.4-3mdv2008.1, wvdial < 1.40-3
Conflicts: initscripts < 1.22.1-5, Aurora <= 7.2-17mdk
Conflicts: dhcpcd < 1.3.21pl1
Conflicts: XFree86-xfs < 4.2.0-12mdk
Conflicts: xinitrc < 2.4.12
Conflicts: lsb < 3.1-11mdv2007.1
Conflicts: lsb-core < 3.1-15mdv2008.1
Conflicts: suspend-scripts < 1.27
Conflicts: mdadm < 2.6.4-2mdv2008.1
Requires: util-linux-ng >= 2.13.1-4mdv2008.1, mount >= 2.11l
Requires: udev >= 108-2mdv2007.1
Requires: ifmetric, resolvconf >= 1.41
Requires: dmsetup
Requires: prcsys
Requires(post): /usr/bin/tr grep, chkconfig >= 1.3.8-3mdk
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python
# http://fedora.redhat.com/projects/additional-projects/initscripts/
Url: http://cvs.mandriva.com/cgi-bin/viewvc.cgi/soft/initscripts/?root=svn

%description
The initscripts package contains the basic system scripts used to boot
your Mandriva Linux system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%package -n debugmode
Summary: Scripts for running in debugging mode
Requires: initscripts
Group: System/Base

%description -n debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debugging mode.

Currently, this consists of various memory checking code.

%prep
%setup -q
rm -rf po
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 
rm -f ChangeLog po
ln -s mandriva/po

gzip -9 mandriva/ChangeLog

%build
make
make -C mandriva CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=$RPM_BUILD_ROOT mandir=%{_mandir}

python mandriva/gprintify.py `find %{buildroot}/etc/rc.d -type f` `find %{buildroot}/sysconfig/network-scripts -type f`

# warly 
# put locale in /usr, gettext need /usr/share
#
# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
#find $RPM_BUILD_ROOT -type f|sed '
#1i\
#%defattr (644, root, root, 755)
#s:'"$RPM_BUILD_ROOT"'::
#s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#s:%lang(C) ::
#' >> %{name}.lang

%find_lang %{name}

%if %{with_upstart}
 mv -f $RPM_BUILD_ROOT/etc/inittab.upstart $RPM_BUILD_ROOT/etc/inittab
 rm -f $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S99single
 rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/single
%else
 mv -f $RPM_BUILD_ROOT/etc/inittab.sysv $RPM_BUILD_ROOT/etc/inittab
 rm -rf $RPM_BUILD_ROOT/etc/event.d
%endif
rm -f $RPM_BUILD_ROOT/etc/inittab.*

%ifnarch s390 s390x
rm -f \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-ctc \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-iucv \
 $RPM_BUILD_ROOT/etc/udev/rules.d/55-ccw.rules \
 $RPM_BUILD_ROOT/lib/udev/ccw_init
%else
rm -f \
 $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.s390init \
 $RPM_BUILD_ROOT/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we use network rules from the udev package
rm -f $RPM_BUILD_ROOT/etc/udev/rules.d/60-net.rules

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

%post
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/run/utmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/run/utmp /var/log/btmp
chmod 664 /var/log/wtmp /var/run/utmp
chmod 600 /var/log/btmp

%_mypost_service partmon

%_mypost_service network

%_mypost_service network-up

%_mypost_service dm

%_mypost_service netconsole

%_mypost_service netfs

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
                #
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then
	# handle the switch to an independant prefdm initscript
	if grep -q '^x:5' /etc/inittab; then
		rm -f /etc/inittab.new
		sed 's/x:5/#x:5/' < /etc/inittab > /etc/inittab.new
		mv -f /etc/inittab.new /etc/inittab
		chkconfig --add dm || :
	fi

	# handle single user mode declaration
	if ! grep -q '..:S:' /etc/inittab; then
		cat >> /etc/inittab <<EOF

# Single user mode
~~:S:wait:/bin/sh
EOF
	fi
	
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%preun
%_preun_service netfs

%_preun_service netconsole

%_preun_service dm

%_preun_service network-up

%_preun_service network

%_preun_service partmon

%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; obsolete in 2.4. kernel|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

%triggerun -- initscripts < 7.62
/sbin/chkconfig --del random
/sbin/chkconfig --del rawdevices
exit 0

%triggerpostun -- initscripts <= 8.38-2mdv2007.0
/sbin/chkconfig --add network-up
exit 0

%triggerpostun -- initscripts < 8.54-4mdv2008.0
echo "disabling supermount which is not supported anymore"
/usr/sbin/supermount -i disable
exit 0

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/network-scripts
%dir /etc/sysconfig/network-scripts/ifup.d
%dir /etc/sysconfig/network-scripts/ifdown.d
%dir /etc/sysconfig/network-scripts/wireless.d
%dir /etc/sysconfig/network-scripts/vpn.d
%dir /etc/sysconfig/network-scripts/vpn.d/openvpn
%dir /etc/sysconfig/network-scripts/vpn.d/pptp
%dir /etc/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/partmon
%config(noreplace) /etc/sysconfig/netconsole
%config(noreplace) /etc/sysconfig/readonly-root
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%dir /etc/sysconfig
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/modules
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
%config(noreplace) /etc/sysconfig/network-scripts/network-functions
%config(noreplace) /etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifdown-sl
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-sl
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-hso
/etc/sysconfig/network-scripts/ifdown-hso
/etc/X11/prefdm
/etc/X11/lookupdm
%config(noreplace) /etc/networks 
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
%if %{with_upstart}
%config(noreplace) /etc/event.d/*
%endif
/etc/udev/rules.d/*
%config(noreplace) /etc/inittab
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/rc[0-9].d
/etc/rc
%dir /etc/rc.d/init.d
%config(noreplace) /etc/rc.local
/etc/rc.sysinit
/lib/lsb/init-functions
/etc/rc.d/init.d/*
/etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
%exclude /etc/profile.d/debug*
%config /etc/profile.d/*
%dir /etc/sysconfig/network-scripts/cellular.d
%dir /etc/sysconfig/network-scripts/hostname.d
/etc/sysconfig/network-scripts/ifup.d/vpn
/etc/sysconfig/network-scripts/ifdown.d/vpn
/usr/sbin/vpn-start
/usr/sbin/vpn-stop
/usr/sbin/mdv-network-event
/usr/sbin/sys-unconfig
/bin/doexec
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
/sbin/securetty
%attr(2755,root,root) /sbin/netreport
/sbin/initlog
/lib/udev/rename_device
/lib/udev/console_init
/lib/udev/console_check
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
#mdv
/sbin/hibernate-cleanup.sh
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fi)	%{_mandir}/fi/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%dir /etc/ppp/ip-down.d
%dir /etc/ppp/ip-up.d
%dir /etc/ppp/peers
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%config(noreplace) /etc/initlog.conf
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/00-netreport
/etc/NetworkManager/dispatcher.d/05-netfs
%doc sysconfig.txt sysvinitfiles mandriva/ChangeLog.gz static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6 README-event.d
/var/lib/stateless
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
%config(noreplace) /etc/modules
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%ifnarch %{sunsparc}
/usr/sbin/supermount
%endif
/usr/bin/*
# warly
# gettext need /use/share/locale anyway
#%dir /etc/locale
#%dir /etc/locale/*
#%dir /etc/locale/*/LC_MESSAGES

%files -n debugmode
%config(noreplace) /etc/sysconfig/debug
%config /etc/profile.d/debug*








%changelog
* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 8.81-10.7mdv2009.0
- built for updates

* Thu Feb 25 2010 Frederic Crozat <fcrozat@mandriva.com> 8.81-10.6mdv2009.0
+ Revision: 511126
- Really apply patch5
- Patch5: try to wake stopped process before killing them (Debian) (Mdv bug #57781)

* Wed Jan 20 2010 Security Team <security@mandriva.com> 8.81-10.4mdv2009.0
+ Revision: 493989
- built for updates

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Properly detect when the network connection is up (#55949)

* Tue Jul 28 2009 Security Team <security@mandriva.com> 8.81-10.2mdv2009.0
+ Revision: 402784
- P3: prevent partial wireless password disclosure

* Wed May 13 2009 Security Team <security@mandriva.com> 8.81-10.1mdv2009.0
+ Revision: 375191
- + Revision: 372155
  Improved network-up logic (should fix #49335 for MES5)
  + Gustavo De Nardin <gustavodn@mandriva.com>
    - let start portreserve before $network-up is available, fixes mdv bug 47293

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Improved network-up logic (should fix #49335 for MES5)

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - let start portreserve before $network-up is available, fixes mdv bug 47293

* Fri Dec 05 2008 Vincent Danen <vdanen@mandriva.com> 8.81-8.1mdv2009.0
+ Revision: 310884
- build for updates

  + Olivier Blin <oblin@mandriva.com>
    - add support for ATM bridging (for pppoe over USB modems, #35797)
    - prefdm: do not source 10lang.sh twice, it is useless for autologin

  + root <root>
    - Branching 2009.0 release for updates.

* Tue Sep 30 2008 Olivier Blin <oblin@mandriva.com> 8.81-7mdv2009.0
+ Revision: 290076
- dm service:
  o require messagebus instead of consolekit (dbus now spawns consolekit)
  o harddrake and dkms are not services anymore, do not soft-require them

* Mon Sep 29 2008 Olivier Blin <oblin@mandriva.com> 8.81-6mdv2009.0
+ Revision: 289231
- add support for readahead / readahead-collector early at boot time
  (from Frederic Crozat)

* Tue Sep 23 2008 Olivier Blin <oblin@mandriva.com> 8.81-5mdv2009.0
+ Revision: 287633
- check that /proc/cmdline exists before checking for splash inside
  (to hide error messages at One shutdown)
- rc.modules:
  o use modprobe -a to run modprobe one time only
  o support modprobedebug debug option (#28212)
  o do not hide modprobe stdout
  o drop 2.4 modules support (removes one more modprobe call)
  o use full path for modprobe

* Sat Sep 20 2008 Olivier Blin <oblin@mandriva.com> 8.81-4mdv2009.0
+ Revision: 286079
- implement $PERSISTENT_DHCLIENT that causes dhclient to be run in
  persistent mode, i.e. not giving up after one try to get an IP
  address (ported from upstream, by Anssi)

* Fri Sep 19 2008 Olivier Blin <oblin@mandriva.com> 8.81-3mdv2009.0
+ Revision: 285992
- start dkms and harddrake in mandrake_everytime
  (faster than running them in parallel init)
- load usb-storage module very early so that the usb-stor-scan process
  gets a chance to run in background sooner, not to block boot waiting
  for it later (thanks to Frederic Crozat for the debugging)
- make partmon configurable in /etc/sysconfig/partmon (#40625)
- fix improper quoting in 10tmpdir.sh (from vdanen, #40256)

* Tue Sep 02 2008 Olivier Blin <oblin@mandriva.com> 8.81-2mdv2009.0
+ Revision: 279131
- network-up: do not incorrectly wait for DNS to be set if not needed
  (patch from AAW, #42687)

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 8.81-1mdv2009.0
+ Revision: 278334
- 8.81

* Tue Aug 19 2008 Olivier Blin <oblin@mandriva.com> 8.80-3mdv2009.0
+ Revision: 273671
- add network-auth meta-service that requires network to be up
  (to be enabled when auth requires network)
- dm: depend on network-auth instead of network-up
  (not to slow down boot when auth does not require network)
- do not follow symlinks when cleaning /var/lock and /var/run
  (breaks vserver)

* Fri Aug 08 2008 Olivier Blin <oblin@mandriva.com> 8.80-2mdv2009.0
+ Revision: 267991
- do not try to unmount mountpoints in /live at halt or when unmounting loopbacks

* Wed Aug 06 2008 Olivier Blin <oblin@mandriva.com> 8.80-1mdv2009.0
+ Revision: 264128
- fix group of debugmode package
- 8.80
- build without upstart
- do not create /etc/sysconfig/networking/tmp
- do not link /etc/init.d, it's done in chkconfig
- do not make ifcfg-lo a symlink to old networking directory
- do not load sysctl conf twice
- do not set loglevel twice
- fix ip route syntax (#42503)

* Fri Aug 01 2008 Olivier Blin <oblin@mandriva.com> 8.63-15mdv2009.0
+ Revision: 259573
- run wpa_cli reassociate if WIRELESS_WPA_REASSOCIATE is "yes"
  (for rt61pci)
- add more splash steps during shutdown

* Tue Jul 29 2008 Olivier Blin <oblin@mandriva.com> 8.63-14mdv2009.0
+ Revision: 252732
- allow splash to be enabled at shutdown
- fix checking that fb0 is present (by using sysfs)

* Fri Jul 25 2008 Olivier Blin <oblin@mandriva.com> 8.63-13mdv2009.0
+ Revision: 249732
- network-up: wait for DNS changes to be propagated by resolvconf if
  needed (thanks to Guillaume Rousse)
- check that splashy is available with "splashy_update test"
  (a zombie process might still live for a while if splashy is
  terminated from initrd)

* Wed Jul 23 2008 Olivier Blin <oblin@mandriva.com> 8.63-12mdv2009.0
+ Revision: 243732
- allow not to kill pids contained in /var/run/sendsigs.omit
  (inspired by Debian, to be used by splashy)
- detect splashy
- do not create fb0, this will be done in initrd
- avoid tty to be corrupted by splashy (from debian initscript)
- do not start brltty if BRLTTY is set to "no" in /etc/sysconfig/init
- prefdm (ander): quote the argument $dm since the preferred window
  manager may contain whitespace in its name (i.e. KDM 3)

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 8.63-10mdv2009.0
+ Revision: 227382
- lookupdm: /etc/X11/dm.d is now /usr/share/X11/dm.d

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 8.63-9mdv2009.0
+ Revision: 214498
- ppp connections:
  o do not delete random route if there is no route matching a ppp
    interface that is brought up
  o use multipledefaultroutes option to add a default route for the
    ppp connection even if a default route already exists
    (and conflicts with pppd <= 2.4.4-3mdv2008.1)
  o set PIN code if needed when bringing ppp devices up (#34940, #40531)
- add ifup/ifdown scripts for hso devices (using custom AT_OWAN commands)
- retry failed udev events after local filesystems are mounted read-write
  (useful for rules creating network ifcfg files)

* Tue May 06 2008 Olivier Blin <oblin@mandriva.com> 8.63-8mdv2009.0
+ Revision: 202422
- init splash after font is reset (to make splash text messages
  reappear, #38882)
- create /dev/fb0 before splash is initialized (#38338)
- make sure resolvconf is available before network service is stopped
  (for cleaner stop of network-related services)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 8.63-7mdv2008.1
+ Revision: 192200
- do not use DNS* variables from config file if PEERDNS is true and
  BOOTPROTO is dhcp, this is handled by dhcp clients (#39312)
  (still use DNS* if RESOLV_MODS is true)
- support new WIRELESS_ENC_MODE variable (for open/restricted, to help
  fixing #26025)
- run ifplugd with -I by default (so that it does not abort when
  ifup/ifdown/dhclient fails)
- do not allow to run wpa_supplicant twice for the same interface,
  wpa_supplicant deauthenticate the connection when it fails (#38565)
- wait for wireless interfaces associated to an access point (#36964)
- do not add incorrect -D option for dhcpcd
- mount /dev/pts and /dev/shm after /dev is mounted by udev (so that
  /dev/pts gets correctly mounted when not using initrd, #30866)
- enable netfs/netconsole/dm services after network-up in post and
  preun (from Anssi)
- allow to display netfs status if network is disabled
  (from Pascal Terjan, #24579)

* Tue Mar 25 2008 Olivier Blin <oblin@mandriva.com> 8.63-6mdv2008.1
+ Revision: 190051
- do not start hclcollector in mandrake_firstime anymore, will be done by drakfirsttime (#39259)

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 8.63-5mdv2008.1
+ Revision: 189326
- do not require messagebus in network service (it looks like network
  has to be up when dbus is started, with pam_ldap)
- export LC_ALL and LANG instead of running lang.sh for ntfs-3g mount
  (#38880)
- fix console mode setup in lang scripts when charset is not UTF-8
  (from Herton, #35082)
- mdv-network-event: do not check for /var/run/dbus/system_bus_socket,
  just hide errors
- run /sbin/halt.pre if present before umounting filesystems in
  /etc/init.d/halt

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 8.63-4mdv2008.1
+ Revision: 183583
- export locale when mounting local filesystem (for ntfs-3g, #32436)
- do not check / if already rw (for example with unionfs)
- remove /tmp/esd-<uid> and /tmp/pulse-* directories at startup (fcrozat)

* Thu Feb 21 2008 Olivier Blin <oblin@mandriva.com> 8.63-3mdv2008.1
+ Revision: 173656
- keep UUID of swap partitions when resuming from hibernation (#37915)
- require util-linux-ng >= 2.13.1-4mdv2008.1 for mkswap -U <uuid> support

* Mon Feb 18 2008 Olivier Blin <oblin@mandriva.com> 8.63-2mdv2008.1
+ Revision: 171866
- rc.sysinit:
  o don't source /etc/sysconfig/init (already done by /etc/init.d/functions)
  o mount /proc/bus/usb before udev is started
  o remove duplicate pam_console reset
  o reduce diff with RH by moving quota and crypto code around

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 8.63-1mdv2008.1
+ Revision: 163839
- 8.63
- raid is not enabled in rc.sysinit anymore, but in udev rules from the mdadm package
- clock is now initialized with udev rules
- drop EVMS support and duplicate LVM2 activation
- do not require bootloader-utils anymore

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 8.60-2mdv2008.1
+ Revision: 154214
- conflicts with lsb-core < 3.1-15mdv2008.1 (/etc/networks has been moved in initscripts)
- set MIN_LINK_DETECTION_DELAY (to zero)
- do not make profile scripts executable
  (based on input from Guillaume Rousse)
- prefix inputrc and tmpdir profile scripts with a level number

* Tue Jan 15 2008 Olivier Blin <oblin@mandriva.com> 8.60-1mdv2008.1
+ Revision: 153094
- 8.60
- remove default MIN_LINK_DETECTION_DELAY (to catch buggy drivers)
- add support for an optional /etc/rc.early.local file, to be run at
  the very start of rc.sysinit (suggested by Colin Guthrie)
- nfs-common should be started before netfs (Anssi)

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 8.54-8mdv2008.0
+ Revision: 95267
- 8.54-8mdv
- update translations

* Thu Sep 27 2007 Olivier Blin <oblin@mandriva.com> 8.54-7mdv2008.0
+ Revision: 93319
- fix regexps with non-working obsoleted syntax
  (from Nicolas Vigier, thanks to Anssi Hannula, #32501)
- add should-start/stop for messagebus, since ifup/ifdown run mdv-network-event (#34076)
- add explicit provides in netconsole initscript
- more typo fixes (from Jose Da Silva)

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 8.54-6mdv2008.0
+ Revision: 91318
- 8.54-6mdv
- ifdown: do not kill wpa_supplicant when link gets down
  (#31904, thanks to Anssi Hannula)
- ifup/ifdown: send D-Bus events when interfaces get up/down
- mandrake_firstime: start hclcollector in mandrake_firstime
- rc.sysinit: delete core files located in gdm directory, at startup
  (#28166, from Frederic Crozat)
- netconsole: add LSB header (from Goetz Waschk)
- service: fix typos and do not exceed 80 chars (from Jose Da Silva)
- lang.sh: move LANGUAGE redefine (CONSOLE_NOT_LOCALIZED) later, so
  that it will not overrided by *.UTF-8 step (from Funda Wang)
- po: use local mirror to extract init.d files (from Funda Wang)
- remove obsolete usb service (2.4 specific)

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 8.54-5mdv2008.0
+ Revision: 68050
- really use MIN_LINK_DETECTION_DELAY (#31864, thanks to Emmanuel Blindauer for the debugging)
- add dependency on consolekit (#32555, from fcrozat)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 8.54-4mdv2008.0
+ Revision: 61663
- disable supermount on upgrade, it's not supported anymore in our kernels (from Pixel)
- fix locking in udev rules (from Andrey Borzenkov, #32281)
- fix UTF-8 support by removing mandrake_consmap since we use kdb (from Herton Ronaldo Krzesinski, #32256)
- remove duplicate "Press 'I' to enter interactive startup." phase
- start brltty after udev so that vcsa device nodes are created (thanks to fcrozat)

* Wed Aug 01 2007 Olivier Blin <oblin@mandriva.com> 8.54-3mdv2008.0
+ Revision: 57809
- remove setsysfont, use kbd and update doc (from Herton Ronaldo Krzesinski)
- modprobe IDE controller at system start (#32150)

* Sat Jul 07 2007 Olivier Blin <oblin@mandriva.com> 8.54-2mdv2008.0
+ Revision: 49354
- from Ademar:
  add xfs to dm's 'Should-Start:', since it's still supported,
  just not enabled by default (thanks Blino for spotting this)

* Fri Jul 06 2007 Olivier Blin <oblin@mandriva.com> 8.54-1mdv2008.0
+ Revision: 48955
- 8.54
- set LANGUAGE and LC_ALL for prcsys (#27663)
- from Herton: small typo fix in setsysfont script
- from Ademar: xfs is not needed by dm anymore,
  xorg now uses fontpath.d and xfs is deprecated (see #31756)
- exclude supermount on all sparc archs (Per Oyvind Karlsen, #30622)

* Tue May 01 2007 Olivier Blin <oblin@mandriva.com> 8.53-1mdv2008.0
+ Revision: 19999
- 8.53


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 8.51-7mdv2007.1
+ Revision: 151214
- use start_udev instead of /etc/init.d/udev
- drop obsolete /lib/udev/devices support
- drop 2.4 support for usb/ieee1394 controllers hotplug

* Wed Apr 04 2007 Olivier Blin <oblin@mandriva.com> 8.51-6mdv2007.1
+ Revision: 150515
- do not make the network service require shorewall (revert changes introduced in 3mdv, #30095)

* Tue Apr 03 2007 Olivier Blin <oblin@mandriva.com> 8.51-5mdv2007.1
+ Revision: 150449
- setup non-root dmraid sets (#30064)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 8.51-4mdv2007.1
+ Revision: 149649
- fix link detection when ifplugstatus is not reliable (leeloo-approved)

* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 8.51-3mdv2007.1
+ Revision: 149047
- network service:
  o should start slmodemd
  o require shorewall instead of firewall
  o remove obsolete pcmcia require
  o remove obosolete ipw3945d require
- conflicts with old suspend-scripts version

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 8.51-2mdv2007.1
+ Revision: 148235
- do not conflict with suspend-scripts to ease upgrade, pm-utils will take care of the proper package ordering

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 8.51-1mdv2007.1
+ Revision: 141477
- 8.51 (sync with RedHat)
- rc.sysinit: avoid progress bar to go reverse
- drop incorrect Roaming wireless mode, rely on WIRELESS_WPA_DRIVER instead
- check NEEDHOSTNAME value, not only its definedness (for pump and dhcpcd)
- check for NOZEROCONF value, not only its definedness
- PEERGATEWAY support (#20806)
- netfs should have portmap during stop (from Giuseppe Ghibo)
- network service should start ipw3945d
- dm service should start lircmd (#20771)

* Wed Jan 24 2007 Olivier Blin <oblin@mandriva.com> 8.48-8mdv2007.1
+ Revision: 113016
- hibernate-cleanup script:
  o sync with upstream suspend2 project
  o handle user-space swsusp signature (from Andrey Borzenkov, #28292)
  o swap labels support (from Andrey Borzenkov, #28292)
- po files: adapted to plural-forms (Pablo)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 8.48-7mdv2007.1
+ Revision: 111144
- make the rc.local initscript LSB compliant (#24227)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 8.48-6mdv2007.1
+ Revision: 111142
- do not wrongly provide the local_fs system facility in netfs service (#25755)
- do not enforce portmap dependency in netfs service (#25668)
- allow the netfs service to mount NFS filesystems even if portmap is not started
- add a MIN_LINK_DETECTION_DELAY option, defaulting to 6 seconds (for network-up service, #28078)
- do not override NETWORKDELAY if set (network-up service)

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 8.48-5mdv2007.1
+ Revision: 110431
- move hibernate-cleanup.sh from suspend-scripts to initscripts

* Fri Jan 12 2007 Olivier Blin <oblin@mandriva.com> 8.48-4mdv2007.1
+ Revision: 108108
- add a clear_resolv_conf function in network-functions

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 8.48-3mdv2007.1
+ Revision: 103352
- resolvconf support

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 8.48-2mdv2007.1
+ Revision: 102435
- add lsb init-functions (#27475)

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 8.48-1mdv2007.1
+ Revision: 102408
- 8.48
- Import initscripts

* Wed Sep 20 2006 Olivier Blin <oblin@mandriva.com> 8.38-7mdv2007.0
-  enable swap automatically if configured so only (fix merge with rh8.38, #25908)

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 8.38-6mdv2007.0
- don't trust link beat reporting before the interface delay specified in
  LINK_DETECTION_DELAY (#18986)
- add network as Required-Stop in network-up service

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 8.38-5mdv2007.0
- mount /proc/bus/usb if needed (#25340)
- start hibernate-cleanup.sh before swap is enabled (#25595)
- delay font loading if /usr/bin/locale can't be found (#24299)
- reset i18n settings when font is delayed (#24299)

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 8.38-4mdv2007.0
- network-up:
  o don't check non-existent devices
  o check link down on correct device
- from Frederic Crozat:
  o Don't load visor module anymore
  o reduce tmp cleanup

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com> 8.38-3mdv2007.0
- add a network-up service that waits for network to be up (using NETWORKDELAY)
  and provides the $network system facility (#18986)
- use Mandriva Linux as distribution name in inittab(#25260)

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 8.38-2mdv2007.0
- revert to previous poweroff behaviour (#24432)
- fix network service status (thanks to Loic Baudry, #24344)

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 8.38-1mdv2007.0
- 8.38
- vpn-start: vpnc support
- add some documentation about Mandriva DHCP options (#14921)
- always source autofsck settings, for AUTOFSCK_CRYPTO_TIMEOUT (#16029)
- don't unmount /dev/root* but only /dev/root when halting system (#21469)
- remove X11R6 path in /etc/init.d/functions (#22951)
- require dmsetup (#24187)
- require prcsys and drop prcsys source code
- udev_copy_temp_rules is now in /sbin (#23196)

* Fri Aug 04 2006 Olivier Blin <oblin@mandriva.com> 8.35-2mdv2007.0
-  add vpn helpers (vpn-start, vpn-stop, and ifup.d/ifdown.d scripts)

* Fri Jul 21 2006 Olivier Blin <oblin@mandriva.com> 8.35-1mdv2007.0
- 8.35
- add mdv-network-event helper and use it in ifup-eth

* Sat Jul 01 2006 Olivier Blin <oblin@mandriva.com> 8.34-3mdv2007.0
- use killproc to kill dm service (from AAW, #23438)
- use action() instead of runcmd() (#23440)

* Wed Jun 28 2006 Olivier Blin <oblin@mandriva.com> 8.34-2mdv2007.0
- output dm pid in /var/run/dm.pid to fix dm service status (#19321)
- remove hardcoded X11R6 path in prefdm
- add missing newline characters in some status() messages

* Sat Jun 24 2006 Olivier Blin <oblin@mandriva.com> 8.34-1mdv2007.0
- merge with rh 8.34
- sysctl.conf: set dev.cdrom.autoclose to 1
  (as supermount isn't used anymore for CD-Roms)
- fix ip-up merge with rh8.33 (define REALDEVICE correctly)

* Wed May 24 2006 Olivier Blin <oblin@mandriva.com> 8.33-4mdk
- rc.modules: add modprobe.preload.d and modules.d support
- rc.modules: use "logger -t $0" instead of "initlog -s"
- (painfully) move to SVN
- fix prereq (tv)

* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 8.33-3mdk
- copy udev rules created while root was read-only (Andrey Borzenkov)
- bump udev requires

* Fri May 05 2006 Olivier Blin <oblin@mandriva.com> 8.33-2mdk
- handle /fsckoptions in rc.sysinit (should have been merged years ago)
- really use fsck return code in rc.sysinit (#22276)
- run ifplugd -k -W only once (#22278)
- unimplement --version (Manuel Lpez-Ibez, #20031)
- fix typo in netfs service (use Required-Stop)

* Thu May 04 2006 Olivier Blin <oblin@mandriva.com> 8.33-1mdk
- merge with rh 8.33
- use ifup-post to update resolv.conf when possible
  (so that DNS servers are correctly ordered)
- revert wrong fix for vconfig path (in ifup and ifdown, #21849)
- don't delete ppp peers file for ADSL connections (#21506)
- don't run update_boot_stage (#21819)
- remove some kernel 2.2 support in rc.sysinit

* Tue Mar 28 2006 Olivier Blin <oblin@mandriva.com> 8.31.2-1mdk
- merge with rh 8.31.2

* Thu Feb 09 2006 Olivier Blin <oblin@mandriva.com> 8.26-1mdk
- merge with rh 8.26
- install rc.modules in /etc (#21058)
- fix endless loop in change_resolv_conf (Michael Reinsch, #21059)
- use su instead of runuser (#21063)
- sysconfig.txt: fix some typos

* Mon Feb 06 2006 Olivier Blin <oblin@mandriva.com> 8.23-1mdk
- merge with rh 8.23:
  o split ifup-eth out of ifup
  o make ipv6 stuff almost vanilla
  o add /var/log/btmp
  o remove fsck prompt in rc.sysinit
  o remove rawdevices service
  o remove minilogd
- ifup-eth:
 o simplify ifplugstatus usage
 o load wireless settings even if wpa_supplicant is used (#20398)

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-59mdk
- enable pinit by default (nopinit disables it)
- print "is an LSB script" messages in test mode only

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-58mdk
- initialize /dev contents from /lib/udev/devices (Andrey Borzenkov, #20648)
- try to remove cups run files (#20303)

* Sat Jan 14 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-57mdk
- prcsys: fix typo in LSB message (Dick Gevers, #20626)
- dm:
  o should start acpid (or else X will steal /proc/acpi/event)
  o should start dkms (nvidia/ati drivers)
- fix build on sparc by including obsolete usb service (Per yvind Karlsen)
- resurrect missing changelog entry from Thierry Vignaud

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-56mdk
- from Couriousous: add test mode in prcsys (--test),
  don't execute script, only show run order
- from Thierry Vignaud: enable to disable EVMS either by passing
  "noevms" on the kernel command line or by adding 'NOEVMS="no"' into
  /etc/sysconfig/init

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-55mdk
- prcsys:
  o misc minor fixes (don't segfault, don't rm /dev/null)
  o LSB tags support (from Couriousous)
- convert X-Parallel-* tags to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-54mdk
- rc.sysinit: check for /dev/.udev
- from Couriousous:
  o prcsys: add X-Parallel-Init support
  o add parallel init support in dm, partmon
  o network: require all firewall scripts to be started

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-53mdk
- rc.sysinit: fix incorrect use of the local keyword

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-52mdk
- rc.sysinit: wait for usb and firewire storage scanning processes to
  finish before initializing device-mapper/lvm
- initial parallel-init support (from Couriousous, with minor adjustments)
- mkrel

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-51mdk
- use /dev tmpfs from initrd again
- check if consolechars is in /bin (Pablo)

* Tue Sep 20 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-50mdk
- updated translations
- sysctl.conf: don't provide a value for net.ipv4.ip_forward.

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-49mdk
- ifdown:
  o wait for ifplugd to be killed
  o avoid SIOCGIFFLAGS usage when ifdown is run from hotplug
    (it triggers module loading)

* Tue Sep 13 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-48mdk
- updated translations
- fix %%post to use grep instead of fgrep (bug #18405)
- lang.sh: even in gdm, source $HOME/.i18n and /etc/sysconfig/i18n (bug #18230).

* Fri Sep 09 2005 Olivier Blin <oblin@mandrakesoft.com> 7.61.1-47mdk
- ifup: don't try to rename device according to HWADDR if no device
  exists, or else ifup will loop endlessly and block boot

* Wed Sep 07 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-46mdk
- really include my changes forgotten in 45mdk

* Tue Sep 06 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-45mdk
- umount initrd after the udev service has copied the lvm/dmraid nodes
- from Frederic Lepied:
  o tmpdir.sh: better init of the SECURE_LEVEL
  o tmpdir.sh: default SECURE_LEVEL is 3
  o dm: discplay a carriage return after the message in stop action
    (bug #16293, Bruno Santos).

* Mon Sep 05 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-44mdk
- network scripts (Andrey Borzenkov):
  o really handle wireless.d files in roaming mode (#18211)
  o ifup-wireless: handle WIRELESS_IWPRIV with spaces (#18207)
- tmpdir.sh (Frederic Lepied): bourne shell compatible fix

* Thu Sep 01 2005 Pixel <pixel@mandriva.com> 7.61.1-43mdk
- adapt inputrc.csh to new tcsh (bugzilla #17999)

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-42mdk
- add /etc/sysconfig/network-scripts/wireless.d
- rc.sysinit: use udevstart to handle usb coldplug on 2.6 kernels
- ifup:
  o move dynamic config test after wireless.d sourcing, so that
    BOOTPROTO can actually be overriden (#17973, Michael Reinsch)
  o don't use hardcoded interface name in roaming mode
    (#17974, Michael Reinsch)
  o do not run wpa_supplicant again on association if ifplugd
    is used and WIRELESS_MODE != "Roaming" (#17989)
- ifup-wireless: don't forbid to set key before xsupplicant is run
- lang.sh (Pablo): fixed problem of LANGUAGE=C remaining when changing
   between X11 <-> console for the special cases when localization
   is not supported in one of the two but is on the other.

* Sat Aug 27 2005 Thierry Vignaud <tvignaud@mandriva.com> 7.61.1-41mdk
- do not keep initrd's /dev (thus fixing cciss support)

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 7.61.1-40mdk
- compress ChangeLog (to be smaller)

* Sat Aug 20 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-39mdk
- rc.sysinit, netfs: added suport for shfs (bug #15964)
- halt: fixed random-seed file name (bug #15889).

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-38mdk
- allow to use the "daemon" parameter instead of "boot" in
  ifup/ifdown, so that daemons (ifplugd/wpa_supplicant) can be used
  even if ONBOOT=no
- allow wpa_supplicant to be used without roaming

* Fri Aug 12 2005 Flavio Bruno Leitner <flavio@mandriva.com> 7.61.1-37mdk
- changed requires from modutils to module-init-tools

* Tue Aug 09 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-36mdk
- fixed single user mode (bug #16823)

* Sat Aug 06 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-35mdk
- handle wireless ESSIDs with spaces for wireless roaming

* Fri Aug 05 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-34mdk
- no need to regenerate mozilla registry at firstboot anymore
  (Frederic Crozat)
- xsupplicant support in ifup-wireless (Arnaud de Lorbeau)
- add wireless roaming support
- start wpa_supplicant in ifup instead of ifup-wireless
  (start it at boot or if roaming is disabled)
- start ifplugd in ifup (with boot option) instead of network service
- don't delete route for interfaces related to an alias interface
  being shut down
- skip metric setting for alias interface

* Tue Jul 12 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-33mdk
- fix hotplug stuff wrt to network devices
- translation updates

* Tue Jul 05 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-32mdk
- netfs: fixed NFS shares are not mounted at boot (bug #16531).
- translation updates

* Sat Jun 18 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-31mdk
- rc.sysinit: Mandriva Linux
- updated translations: ms and nb
- mandrake_everytime: fix netprofile vs globetrotter (Thierry)

* Thu Jun 02 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-30mdk
- prefdm: fix dm variable for non standard display manager (littletux).

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-29mdk
- prefdm: use the right default values for looking up the display
  manager.
- mandrake/lookupdm: use NAME as the key to find the right entry
  instead of DISPLAYMANAGER.
- rc.d/init.d/network: fix net-pf-10 alias being rewritten at each
  boot (#16045) (Olivier Blin)

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-28mdk
- network-functions, ifup: fixed ethtool path

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-27mdk
- update of translations
- use a modularized prefdm script to be able to provide new display
  managers easily (based on Loic Baudry's work).
- sysconfig/network-scripts/ifup-wireless: allow multi-line
  WIRELESS_IWPRIV variable (Olivier Blin).
- sysconfig/network-scripts/ifup: DVB support (Olivier Blin).
- rc.d/rc.sysinit: fix syntax error when nousb is used on the
  command line (David Faure).

* Tue Apr 05 2005 Olivier Blin <oblin@mandrakesoft.com> 7.61.1-26mdk
- ralink interfaces need to be up before performing iwconfig commands
- ATMARP protocol support, enabled if ATM_ADDR is defined (VCI.VPI),
  useful for modems using the atm kernel module (e.g. Speedtouch)
  and ISP using "RFC 1483 Routed VC MUX" (e.g. Free Degroupe)
- do not write empty net-pf-10 aliases
- change Mandrake in Mandrakelinux for the default theme (Warly)

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 7.61.1-25mdk
- mandrake_everytime: do not use initlog in quiet mode for netprofiles (menu)
- rc.sysinig: check that /usr/bin/consolechars is available before 
  calling setsysfonts (bug #11054)
- rc.d/init.d/network: fix duplicate addition of aliases in modprobe.conf
  and correct a potential bug when NETWORKING_IPV6 is not set (blino)

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-24mdk
- netfs, network: fixed nfs unmounting (Oden, bug #13677)
- mandrake_everytime: put the -depth argument of find at the right
place (J.A. Magallon, bug #13354).
- po updates: sk.
- rc.sysinit: o don't enable process accounting here (bug #13672).
              o removed duplicated code for setting hdparm options (bug #13677).

* Mon Mar 14 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-23mdk
- /etc/rc.local must be a config file (bug #13553)
- requires ifmetric
- setsysfont, rc.d/rc.sysinit, rc.d/init.d/functions: added a
 get_locale_encoding function to rc.d/init.d/functions so that
 detection of locale encoding from init scripts is easier;
 simplified the font loading.	rewrite setsysfont script to better
 detect the locale, and to look first at /etc/sysconfig/console in
 all cases. (Pablo)
- rc.d/rc.local: put issue and issue.net stuff in mandrake_everytime.
- rc.d/init.d/network: handle net-pf-10 alias for respecting
 NETWORKING_IPV6 (Warly, bug #11896).
- po updates
- do not try to restart the no more existing random service (Thierry, #13426)

* Tue Feb 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-22mdk
- requires udev
- ifup-ppp: do not detach ppp for modems (Olivier Blin)
- po updates
- rc.sysinit:
	o start EVMS if needed (bug #13634) (Thierry)
        o use udev instead of hotplug (thus fixing sysfs
	populating delays and delete/add serializing) (Thierry)
	o start udev very early while bootstrapping, thus
	fixing lost device nodes for lvm2 (bug #12046) (Thierry)
- rawdevices: workaround broken autoloading of raw driver (Thierry).

* Thu Feb 10 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-21mdk
- init.d/rawdevices: workaround broken autoloading of raw
  driver. (Thierry)
- rc.sysinit: use udev instead of hotplug (thus fixing sysfs
  populating delays and delete/add serializing). (Thierry)
- po updates
- init.d/functions: force use of UTF-8 (OUTPUT_CHARSET=UTF-8)
for the bootsplash translations. (Pablo)
- Added Brazilian man files (Pablo)

* Wed Feb 02 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-20mdk
- po updates
- no wait anymore for ifup result in network service when using ifplugd

* Tue Feb 01 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-19mdk
- po updates
- mandrake/supermount: remove unhide from floppy options (Olivier
  Blin, bug #7336).
- rc.d/rc.sysinit: Michel Bouissou, bug #12771: - avoid activating
  encrypted swap partition directly handled by swapon.	- work with
  static crypto modules.  - keep the swap signature (4096 first
  bytes) when mounting an encrypted swap.
- rc.d/rc.sysinit: Don't apply hdparm on software RAID arrays that
  are in process of background resyncing (Michel Bouissou , bug
  - rc.d/init.d/network: use ifplugd on static address too (bug
  - rc.d/init.d/functions: fix translation errors for autofs
  (Guillaume Rousse, bug #12303).
- rc.d/rc.sysinit: fix untranslation of 3 first messages (#12507)
  by setting font and the like earlier (Thierry).
- rc.d/rc.sysinit: delete /var/run/xdmctl (bug #13155).
- sysconfig/network-scripts/ifup-wireless: added the POWER option
  to manage iwconfig power option (Brouard Nicolas).
- initscripts no more config files.

* Fri Dec 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-18mdk
- rc.d/rc.sysinit: be sure to create block devices in udev mode
  (Luca Berra)
- sysconfig/network-scripts/ifup-wireless: support for
  wpa_supplicant (Nicolas Chipaux)
- sysconfig/network-scripts/ifdown: kill wpa_supplicant for the
  interface too
- rc.d/rc.sysinit: fix udev check after switching from udev-030 to
  udev-046 (#12553)
- po updates: ku, br and ca

* Sat Oct 09 2004 Warly <warly@mandrakesoft.com> 7.61.1-17mdk
- revert Olivier change which breaks splash displaying at shutdown

* Fri Oct 01 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-16mdk
- don't try to mount /dev/pts twice (bug #11756)

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-15mdk
- rc.sysinit: modprobe scsi_hostadapter earlier to be able to use lvm
  on a second scsi controller (reported by Luca Berra)

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-14mdk
- rc.sysinit: fix init of /dev/tty[1-8]
- rc.sysinit: fix mount of /dev/pts and /dev/shm
- po updates

* Wed Sep 22 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-13mdk
- rc.d/init.d/functions: do not restore splash as silent if verbose
 mode was enabled very early (Olivier).
- po updates

* Wed Sep 22 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-12mdk
- setsysfont, rc.d/rc.sysinit: improved the way that the encoding
 of the console is guessed (bug #11147) (Pablo)
- po updates
- fix loading of st module (Luca Berra)
- fixed Continue in interactive startup (bug #10943)
- rc.sysinit: correct test for devfsd and add newline in the output
 (bug #11318)

* Tue Sep 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-11mdk
- po updates
- clean correctly dynamic desktop files

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-10mdk
- correctly add search directive in resolv.conf (bug #11317)
- don't use ttys when not available (bug #11314)

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-9mdk
- set TMP and TMPDIR to /tmp to have the same behaviour during boot and
after (request from Giuseppe)
- move /initrd/dev to /dev in udev mode and lazy umount /initrd
- po updates

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-8mdk
- rc.sysinit: fixed typo

* Wed Sep 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-7mdk
- it man pages
- po updates
- modprobe ide-cd and scsi_hostadapter

* Tue Sep 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-6mdk
- rc.d/rc.sysinit: handle udev in initrd (Luca Berra)
- lang.sh: export QT_IM_MODULE too since it's needed by
  Qt-immodule-20040819 (UTUMI Hirosi)
- po updates

* Thu Sep 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-5mdk
- rc.sysinit: LVM fixes for udev mode (Luca Bera)
- po updates

* Thu Sep 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-4mdk
- po updates and fixes
- do not override the default config file in adsl-stop, let it use its
/etc/ppp/pppoe.conf (Olivier)
- rc.sysinit: modprobe loop, aes and cryptoloop when needed
- rc.sysinit fixes from Luca Bera:
1) rework creation of device mapper control node so we don't depend on
nash.
2) mdadm is preferred over raidtools now, and empty configuration files
are ignored.
3) correctly activate lvm after raid.
4) mount other filesystem once, not twice.

* Fri Aug 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-3mdk
- usb: cold boot devices with hotplug rc script

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-2mdk
- rc.d/init.d/halt: remove sleep and exit in case of powerfail
(apcupsd). request from David Walser.
- ifup-ppp: fix default route removal (Olivier)
- ifup: fix loop when using HWADDR (bug #10851)
- po updates

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-1mdk
- merged with 7.61.1

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-54mdk
- rc.sysinit: cleanup dynamic files for KDE and GNOME
- init.d/functions: define locale when calling splash.sh (Pablo)
- rc.sysinit: fix crypto fs message (from Lubos Klokner)
- po updates
- ifup-ppp: delete default route only on the same interface
- ifup: ifmetric is called from ifup-post now
- mandrake_everytime: no need anymore to use /etc/sysconfig/network-scripts/noifup

* Sat Jul 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-53mdk
- ifup: call ifmetric if METRIC is set.

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-52mdk
- do not set hotplug to /bin/true anymore (bug #9289)
- ifup-ppp: detach pppd once the connection is established, thus
 avoiding to hang the boot process if a ppp connection is started at
 boot. (Olivier)
- ifup-ppp: fix pppoe startup (Thierry)
- po updates
- sysctl.conf: add a more meaningful comment to autoclose. (Warly)

* Fri Jun 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-51mdk
- modifications to be able to use the network service instead of the
  internet service for ADSL connections (Damien)
- po updates
- merged with 7.06-49.1.100mdk:
  - lang.csh, lang.sh: do not return when LC_SOURCED is set but only
   avoid sourcing the i18n file (anthill #919)
  - fixed ifdown-aliases (bug #9366)
  - rc.sysinit: use translated keys too during fsck question (bug #8024)
  - rc.sysinit: remove unneeded code for loopback filesystem check (Glenn Burkhardt) (bug #8698)
  - rc.sysinit: only check nousb on the command line to not start the usb service (bug #9830).

* Wed Jun 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-50mdk
- sound services handled by the sound-scripts package now (Thierry)
- po: eo, ro, gl, eu, ky: updated po files (Pablo)
- mandrake/usb: get back to usbfs as speedtch kernel driver is now
 properly working with both 2.4 and 2.6 and needs it. (thanks to pump) (Damien)
- sysconfig/network-scripts/network-functions: adapt to ifplugd-0.24 (Thierry)
- rc.d/rc.local: If using the default logo it will use the mandrake
 logo instead :) (Per yvind Karlsen)

